Skip to content

ReceivedItemService⁠

Manage and track received items.

Operations⁠

getReceivedItemSelectFields⁠

POST

Gets a received item with select fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ReceivedItemGlobalSequenceDatestring · dateoptionalThe received item global sequence date.
ReceivedItemGlobalSequenceintegeroptionalThe received item global sequence number.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/receiveditem/getReceivedItemSelectFields
POST /nexum/627/persistent/receiveditem/getReceivedItemSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ReceivedItemGlobalSequenceDate": "2026-01-01",
  "ReceivedItemGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllReceivedItemFields": true
  }
}

updateReceivedItemByID⁠

POST

Updates a received item by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ReceivedItemGlobalSequenceDatestring · dateoptionalThe received item global sequence date.
ReceivedItemGlobalSequenceintegeroptionalThe received item global sequence number.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/receiveditem/updateReceivedItemByID
POST /nexum/627/persistent/receiveditem/updateReceivedItemByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ReceivedItemGlobalSequenceDate": "2026-01-01",
  "ReceivedItemGlobalSequence": 0,
  "ReceivedItemFields": {
    "ItemId": "string"
  }
}

createReceivedItem⁠

POST

Creates a received item.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/receiveditem/createReceivedItem
POST /nexum/627/persistent/receiveditem/createReceivedItem HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ReceivedItemFields": {
    "Type": 0,
    "Status": 0,
    "ItemAmount": "string",
    "ItemAcctNumber": "0",
    "ItemCheckNumber": "0",
    "AssocAccountNumber": "0000000000",
    "AssocId": "0",
    "AssocIdType": 0,
    "Branch": 0
  }
}

deleteReceivedItem⁠

POST

Deletes a received item.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ReceivedItemGlobalSequenceDatestring · dateoptionalThe received item global sequence date.
ReceivedItemGlobalSequenceintegeroptionalThe received item global sequence number.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/receiveditem/deleteReceivedItem
POST /nexum/627/persistent/receiveditem/deleteReceivedItem HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ReceivedItemGlobalSequenceDate": "2026-01-01",
  "ReceivedItemGlobalSequence": 0
}